unit Main;

interface

uses
	Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,ARDisabler, StdCtrls,ComCtrls, ImgList;

type
		TfrmMain = class(TForm)
				DIS_Edit: TARDisabler;
				LAB_Demo: TLabel;
				BTN_DIS_Label: TButton;
				EDT_Demo: TEdit;
				DIS_Label: TARDisabler;
				BTN_DIS_Edit: TButton;
				GPB_Demo: TGroupBox;
				LTV_Demo: TListView;
				IMG_Demo: TImageList;
				StatusBar1: TStatusBar;
				BTN_DIS_ListView: TButton;
				DIS_ListView: TARDisabler;
				BTN_Demo: TButton;
				BTN_DIS_Button: TButton;
				DIS_Button: TARDisabler;
				Label1: TLabel;
				DIS_GroupBox: TARDisabler;
				Label2: TLabel;
				BTN_DIS_GroupBox: TButton;
				procedure BTN_DIS_LabelClick(Sender: TObject);
				procedure BTN_DIS_EditClick(Sender: TObject);
				procedure BTN_DIS_ListViewClick(Sender: TObject);
				procedure FormCreate(Sender: TObject);
				procedure BTN_DIS_ButtonClick(Sender: TObject);
				procedure BTN_DIS_GroupBoxClick(Sender: TObject);
			private
				{ Private declarations }
			public
				{ Public declarations }
		end;

var
  frmMain: TfrmMain;

implementation

{$R *.DFM}

procedure TfrmMain.BTN_DIS_LabelClick(Sender: TObject);
begin
	if LAB_Demo.Enabled then
		begin
			BTN_DIS_Label.Caption := 'Enable';
			LAB_Demo.Enabled := False;
		end{DIS_Label.Active = True}
	else
		begin
			BTN_DIS_Label.Caption := 'Disable';
			LAB_Demo.Enabled := True;
		end;{DIS_Label.Active = False}
end;{BTN_DIS_LabelClick}

procedure TfrmMain.BTN_DIS_EditClick(Sender: TObject);
begin
	if EDT_Demo.Enabled then
		begin
			BTN_DIS_Edit.Caption := 'Enable';
			EDT_Demo.Enabled := False;
		end{EDT_Demo.Enabled = True}
	else
		begin
			BTN_DIS_Edit.Caption := 'Disable';
			EDT_Demo.Enabled := True;
		end;{EDT_Demo.Enabled = False}
end;{BTN_DIS_EditClick}

procedure TfrmMain.BTN_DIS_ListViewClick(Sender: TObject);
begin
	if LTV_Demo.Enabled then
		begin
			BTN_DIS_ListView.Caption := 'Enable';
			LTV_Demo.Enabled := False;
		end{LTV_Demo.Enabled = True}
	else
		begin
			BTN_DIS_ListView.Caption := 'Disable';
			LTV_Demo.Enabled := True;
		end;{LTV_Demo.Enabled = False}
end;{BTN_DIS_ListViewClick}


procedure TfrmMain.BTN_DIS_ButtonClick(Sender: TObject);
begin
	if BTN_Demo.Enabled then
		begin
			BTN_DIS_Button.Caption := 'Enable';
			BTN_Demo.Enabled := False;
		end{BTN_Demo.Enabled = True}
	else
		begin
			BTN_DIS_Button.Caption := 'Disable';
			BTN_Demo.Enabled := True;
		end;{BTN_Demo.Enabled = False}
end;{BTN_DIS_ButtonClick}

procedure TfrmMain.BTN_DIS_GroupBoxClick(Sender: TObject);
begin
	if GPB_Demo.Enabled then
		begin
			BTN_DIS_GroupBox.Caption := 'Enable';
			GPB_Demo.Enabled := False;
		end{GPB_Demo.Enabled = True}
	else
		begin
			BTN_DIS_GroupBox.Caption := 'Disable';
			GPB_Demo.Enabled := True;
		end;{GPB_Demo.Enabled = False}
end;{BTN_DIS_GroupBoxClick}

procedure TfrmMain.FormCreate(Sender: TObject);
var
	V_ItemCount				: integer;
	V_Item					: TListItem;
begin
	for V_ItemCount := 0 to 27 do
		begin
			V_Item := LTV_Demo.Items.Add;
			V_Item.Caption := Format('%.2d',[V_ItemCount]);
			V_Item.SubItems.Add('ARDisabler Demo');
			V_Item.SubItems.Add('Demo');
			V_Item.ImageIndex := V_ItemCount;
		end;{for V_ItemCount}

	Width := 530;
	Height := 479;

end;{FormCreate}

end.
